package org.rcisoft.business.manage.controller;

import org.rcisoft.business.manage.service.BusLoginImgService;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 登录页面背景图片维护
 */
@RestController
@RequestMapping("manage/busloginimg")
public class BusLoginImgController {

    @Autowired
    private BusLoginImgService busLoginImgService;

    @RequestMapping("/upload")
    public Result upload(@RequestParam MultipartFile file) {
        PersistModel pm = busLoginImgService.save(file);
        return Result.builder(pm, MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, null);
    }

    @DeleteMapping("/delete")
    public Result delete(@RequestParam String id) {
        PersistModel pm = busLoginImgService.delete(id);
        return Result.builder(pm, MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, id);
    }

    @GetMapping("/queryLoginImgList")
    public List<Map<String,Object>> queryLoginImgList() {
        return busLoginImgService.queryLoginImgList();
    }
}
