package org.rcisoft.business.manage.service.impl;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.FileUtils;
import org.rcisoft.business.manage.dao.BusLoginImgRepository;
import org.rcisoft.business.manage.entity.BusDeviceTp;
import org.rcisoft.business.manage.entity.BusLoginImg;
import org.rcisoft.business.manage.service.BusLoginImgService;
import org.rcisoft.core.model.PersistModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;
import tk.mybatis.mapper.entity.Example;

import java.io.File;
import java.util.List;
import java.util.Map;
import java.util.UUID;

@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class BusLoginImgServiceImpl implements BusLoginImgService {
    @Autowired
    private BusLoginImgRepository busLoginImgRepository;
    @Value("${filepath.loginimg}")
    private String filepath;
    @Value("${serverimgurl}")
    private String serverimgurl;

    @Override
    public PersistModel save(MultipartFile file) {
        int line = 1;
        String fileName = file.getOriginalFilename();
        //文件路径
        String savePath = filepath + fileName;
        File saveFile = new File(savePath);
        if(saveFile.exists()){
            saveFile.delete();
        }
        try{
            FileUtils.copyInputStreamToFile(file.getInputStream(), saveFile);
            BusLoginImg busLoginImg = new BusLoginImg();
            busLoginImg.setId(UUID.randomUUID().toString().replace("-",""));
            busLoginImg.setImgUrl(fileName);
            line = busLoginImgRepository.insertSelective(busLoginImg);
        }catch(Exception e){
            line = 0;
            e.printStackTrace();
        }
        return new PersistModel(line);
    }

    @Override
    public PersistModel delete(String id) {
        Example example = new Example(BusLoginImg.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andEqualTo("id",id);
        int line = busLoginImgRepository.deleteByExample(example);
        return new PersistModel(line);
    }

    @Override
    public List<Map<String, Object>> queryLoginImgList() {
        List<Map<String, Object>> list = busLoginImgRepository.queryLoginImgList();
        for(Map<String, Object> map : list){
            map.put("URL",serverimgurl + map.get("IMG_URL").toString());
        }
        return list;
    }
}
