package org.rcisoft.business.manage.service.impl;

import org.apache.commons.lang3.StringUtils;
import org.rcisoft.business.manage.dao.BusSavingRepository;
import org.rcisoft.business.manage.entity.BusSaving;
import org.rcisoft.business.manage.service.BusSavingService;
import org.rcisoft.business.overview.entity.BusProjectArea;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;
import java.util.UUID;

/**
 * Created by JiChao on 2018/5/17.
 */
@Service
public class BusSavingServiceImpl implements BusSavingService {

    @Autowired
    private BusSavingRepository busSavingRepository;

    @Transactional
    @Override
    public Integer save(BusSaving busSaving) {
        String id = UUID.randomUUID().toString().replaceAll("-", "");
        busSaving.setId(id);
        return busSavingRepository.insertSelective(busSaving);
    }

    @Transactional
    @Override
    public Integer update(BusSaving busSaving) {
        Example example = new Example(BusSaving.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andEqualTo("id", busSaving.getId());
        return busSavingRepository.updateByExampleSelective(busSaving, example);
    }

    @Transactional
    @Override
    public Integer delete(String id) {
        Example example = new Example(BusSaving.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andEqualTo("id", id);
        return busSavingRepository.deleteByExample(example);
    }

    @Override
    public List<BusSaving> findAllByPagination(PageUtil<BusSaving> paginationUtility) {
        return busSavingRepository.selectAll();
    }

    @Override
    public BusSaving findBusSaving(String id) {
        BusSaving busSaving = new BusSaving();
        busSaving.setId(id);
        return busSavingRepository.selectOne(busSaving);
    }

}
