package org.rcisoft.business.system.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.system.entity.DeviceParam;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by JiChao on 2018/5/24.
 */
@Repository
public interface DeviceParamRepository {

    /**
     * 查询参数列表
     * @param devNum
     * @return
     */
    @Select("<script>select d.PARAM,p.PARAM_NM,p.P_SOURCE,p.P_MIN,p.P_MAX,p.SYMBOL,p.FLAG,p.PARAM_UNIT " +
            "from bus_device_param d,bus_devicetp_param p " +
            "where d.PARAM_CODE=p.PARAM_CODE and d.DEV_NUM=#{devNum}</script>")
    @ResultMap("BaseResultMap")
    List<DeviceParam> selectDeviceParamList(@Param("devNum") String devNum);

    @Select("<script>select OTHER_PARAM from bus_param_refer where PRO_ID=#{proId} and OWN_PARAM='sensor'</script>")
    @ResultType(String.class)
    String selectSensorCode(@Param("proId") String proId);

}
